#ifndef NODE_H
#define NODE_H

#include <STRING>
#include <fstream>

 using namespace std;

class Node  
{
protected:
	
	Node* next;
	Node* pre;

public:

	Node();

	//Node( double );
//	Node( double, Node* );

	// Accessors
	
	Node* GetNext( );
	Node* GetPre( );

	// Mutators
		//sets
		
	void SetNext( Node* );
	void SetPre( Node* );
	
	virtual ~Node();

};



//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Node::Node()
{

	next = NULL;
	pre = NULL;
}
/*
Node::Node( Node d )
{
	data = d;
}

Node::Node( Node d, Node* nd )
{
	data = d;
	next = nd;
}
*/
	//gets
Node* Node::GetNext( )
{
	return next;
}
Node* Node::GetPre( )
{
	return pre;
}

void Node::SetNext( Node* nd2 )
{
	next= nd2;
}

void Node::SetPre( Node* nd2 )
{
	pre= nd2;
}
Node::~Node()
{

}
#endif








